%define api		1.0
%define major		0
%define libname		%mklibname %{name} %{api} %{major}
%define giname		%mklibname gtkvnc-gir %{api}
%define develname	%mklibname -d %{name} %{api}

%define gtk3_api	2.0
%define gtk3_major	0
%define gtk3_libname	%mklibname %{name} %{gtk3_api} %{gtk3_major}
%define gtk3_giname	%mklibname gtkvnc-gir %{gtk3_api}
%define gtk3_develname	%mklibname -d %{name} %{gtk3_api}

%define gvnc_api	1.0
%define gvnc_major	0
%define gvnc_libname	%mklibname gvnc %{gvnc_api} %{gvnc_major}
%define gvnc_giname	%mklibname gvnc-gir %{gvnc_api}
%define gvnc_develname	%mklibname -d gvnc %{gvnc_api}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	A VNC viewer widget for GTK
Name:		gtk-vnc
Version:	0.5.4
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gtk-vnc-0.5.4-python-linking.patch
License:	LGPLv2+
Group:		System/Libraries
URL:		http://gtk-vnc.sourceforge.net/
BuildRequires:	gtk+2-devel
BuildRequires:	gtk+3-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	perl(Text::CSV)
BuildRequires:	intltool
BuildRequires:	libgcrypt-devel
BuildRequires:	vala-tools
BuildRequires:	gettext-devel
BuildRequires:	%{_lib}gnutls-devel
BuildRequires:	%{_lib}view-devel
BuildRequires:	%{_lib}sasl2-devel

%description
gtk-vnc is a VNC viewer widget for GTK. It is built using 
coroutines allowing it to be completely asynchronous while 
remaining single threaded. It provides a core C library, and
bindings for Python (PyGTK)

%package i18n
Summary:	A VNC viewer widget for GTK
Group:		System/Libraries
Obsoletes:	%{name}-common < 0.4.4
BuildArch:	noarch

%description i18n
gtk-vnc is a VNC viewer widget for GTK. It is built using 
coroutines allowing it to be completely asynchronous while 
remaining single threaded. It provides a core C library, and
bindings for Python (PyGTK)

This package contains translations used by gtk-vnc

%package -n %{libname}
Summary:	A VNC viewer widget for GTK
Group:		System/Libraries

%description -n %{libname}
gtk-vnc is a VNC viewer widget for GTK. It is built using 
coroutines allowing it to be completely asynchronous while 
remaining single threaded. It provides a core C library, and
bindings for Python (PyGTK)


%package -n %{develname}
Summary:	A VNC viewer widget for GTK
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api}-devel = %{version}-%{release}

%description -n %{develname}
gtk-vnc is a VNC viewer widget for GTK. It is built using 
coroutines allowing it to be completely asynchronous while 
remaining single threaded. It provides a core C library, and
bindings for Python (PyGTK)

%package -n %{gtk3_libname}
Summary:	A VNC viewer widget for GTK3
Group:		System/Libraries

%description -n %{gtk3_libname}
Runtime library for the GTK+ 3.x VNC widget.

%package -n %{gtk3_develname}
Summary:	Headers and development library for gtk3-vnc
Group:		Development/Libraries
Requires:	%{gtk3_libname} = %{version}-%{release}
Provides:	lib%{name}%{gtk3_api}-devel = %{version}-%{release}

%description -n %{gtk3_develname}
Development support for the GTK+ 3.x VNC widget.

%package -n %{gvnc_libname}
Summary:	Core library for %{name}
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}

%description -n %{gvnc_libname}
Runtime core library for %{name}.


%package -n %{gvnc_develname}
Summary:	Header files for core library of %{name}
Group:		Development/Libraries
Requires:	%{gvnc_libname} = %{version}-%{release}
Provides:	libgvnc%{gvnc_api}-devel = %{version}-%{release}

%description -n %{gvnc_develname}
Development files for core library of %{name}.

%package -n python-%{name}
Summary:	A VNC viewer widget for Python/GTK
Group:		Development/Python
Requires:	%{libname} = %{version}-%{release}

%description -n python-%{name}
gtk-vnc is a VNC viewer widget for GTK. It is built using 
coroutines allowing it to be completely asynchronous while 
remaining single threaded. It provides a core C library, and
bindings for Python (PyGTK)

%prep
%setup -q -c
pushd %{name}-%{version}
%patch0 -p1
popd
cp -a %{name}-%{version} %{name}-gtk2-%{version}

%build
pushd %{name}-%{version}
	autoreconf -vfi
	%configure2_5x \
		--disable-static \
		--with-examples \
		--disable-plugin \
		--with-gtk=3.0
	%make
popd
pushd %{name}-gtk2-%{version}
	autoreconf -vfi
	%configure2_5x \
        	--disable-static \
        	--with-examples \
        	--enable-plugin \
        	--with-gtk=2.0
	%make
popd

%install
pushd %{name}-%{version}
	%makeinstall_std
popd

pushd %{name}-gtk2-%{version}
	%makeinstall_std
popd

find %{buildroot} -name '*.la' -delete

# for docs
cp %{name}-%{version}/{README,NEWS,AUTHORS,ChangeLog} .

%find_lang %{name}

%files
%{_bindir}/gvnccapture
%{_bindir}/gvncviewer
%{_mandir}/man1/gvnccapture.1*

%files -n %{gvnc_libname}
%doc README NEWS AUTHORS
%{_libdir}/libgvnc-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/GVnc-%{api}.typelib

%files -n %{gvnc_develname}
%{_libdir}/libgvnc-%{api}.so
%{_libdir}/pkgconfig/gvnc-%{api}.pc
%{_includedir}/gvnc-%{api}
%{_datadir}/gir-1.0/GVnc-%{api}.gir
%{_datadir}/vala/vapi/gvnc-%{api}.vapi

%files -n %{libname}
%{_libdir}/libgtk-vnc-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/GtkVnc-%{api}.typelib

%files -n %{develname}
%doc ChangeLog
%{_libdir}/libgtk-vnc-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_includedir}/%{name}-%{api}
%{_datadir}/gir-1.0/GtkVnc-%{api}.gir

%files -n %{gtk3_libname}
%{_libdir}/libgtk-vnc-%{gtk3_api}.so.%{gtk3_major}*
%{_libdir}/girepository-1.0/GtkVnc-%{gtk3_api}.typelib

%files -n %{gtk3_develname}
%{_libdir}/libgtk-vnc-%{gtk3_api}.so
%{_includedir}/%{name}-%{gtk3_api}
%{_libdir}/pkgconfig/%{name}-%{gtk3_api}.pc
%{_datadir}/gir-1.0/GtkVnc-%{gtk3_api}.gir
%{_datadir}/vala/vapi/gtk-vnc-%{gtk3_api}.deps
%{_datadir}/vala/vapi/gtk-vnc-%{gtk3_api}.vapi

%files -n python-%{name}
%{py_platsitedir}/gtkvnc.so

%files i18n -f %{name}.lang


%changelog
* Sat Aug 06 2016 adrianomorselli <adrianomorselli> 0.5.4-1uplos2016
- rebuild

* Mon Mar 28 2016 bb <bb> 0.5.4-1pclos2016
- update

